Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(845)

Issue 2804023004: Replace ASSERT with DCHECK in modules/fetch. (Closed)

Created:
8 months, 2 weeks ago by pilgrim_google
Modified:
8 months ago
Reviewers:
tkent, haraken
CC:
blink-reviews, chromium-reviews, haraken, jsbell
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Replace ASSERT with DCHECK in modules/fetch. BUG=707652 Review-Url: https://codereview.chromium.org/2804023004 Cr-Commit-Position: refs/heads/master@{#465122} Committed: https://chromium.googlesource.com/chromium/src/+/0d9239bcb33250cd613229d19a90af7cfa28d861

Patch Set 1 #

Total comments: 11

Patch Set 2 : Use DCHECK_EQ in all but a few instances #

Unified diffs Side-by-side diffs Delta from patch set Stats (+52 lines, -52 lines) Patch
M third_party/WebKit/Source/modules/fetch/Body.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/modules/fetch/BodyStreamBuffer.cpp View 1 6 chunks +9 lines, -9 lines 0 comments Download
M third_party/WebKit/Source/modules/fetch/DataConsumerHandleTestUtil.h View 1 1 chunk +4 lines, -4 lines 0 comments Download
M third_party/WebKit/Source/modules/fetch/FetchManager.cpp View 1 7 chunks +9 lines, -9 lines 0 comments Download
M third_party/WebKit/Source/modules/fetch/FetchResponseData.cpp View 1 3 chunks +11 lines, -11 lines 0 comments Download
M third_party/WebKit/Source/modules/fetch/Headers.cpp View 1 3 chunks +3 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/modules/fetch/Request.cpp View 1 5 chunks +7 lines, -7 lines 0 comments Download
M third_party/WebKit/Source/modules/fetch/RequestTest.cpp View 1 4 chunks +5 lines, -5 lines 0 comments Download
M third_party/WebKit/Source/modules/fetch/Response.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/modules/fetch/ResponseTest.cpp View 1 2 chunks +2 lines, -2 lines 0 comments Download

Messages

Total messages: 15 (10 generated)
pilgrim_google
8 months, 2 weeks ago (2017-04-07 19:01:33 UTC) #3
pilgrim_google
8 months, 2 weeks ago (2017-04-07 19:46:21 UTC) #6
tkent
lgtm https://codereview.chromium.org/2804023004/diff/1/third_party/WebKit/Source/modules/fetch/Body.cpp File third_party/WebKit/Source/modules/fetch/Body.cpp (right): https://codereview.chromium.org/2804023004/diff/1/third_party/WebKit/Source/modules/fetch/Body.cpp#newcode205 third_party/WebKit/Source/modules/fetch/Body.cpp:205: DCHECK(stream.getScriptState() == scriptState); Use DCHECK_EQ if it doesn't ...
8 months, 2 weeks ago (2017-04-08 02:29:55 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2804023004/20001
8 months ago (2017-04-18 01:09:02 UTC) #12
commit-bot: I haz the power
8 months ago (2017-04-18 03:09:05 UTC) #15
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/0d9239bcb33250cd613229d19a90...

Powered by Google App Engine
This is Rietveld 0eb02b776